Package org.eclipse.lemminx.extensions.relaxng.utils

## Enum RelaxNGUtils.BindingType

- java.lang.Object
- - java.lang.Enum<RelaxNGUtils.BindingType>
  - - org.eclipse.lemminx.extensions.relaxng.utils.RelaxNGUtils.BindingType

All Implemented Interfaces:
  `Serializable`, `Comparable<RelaxNGUtils.BindingType>`

Enclosing class:
  RelaxNGUtils

    public static enum RelaxNGUtils.BindingType
    extends Enum<RelaxNGUtils.BindingType>

Binding type of rng grammar

### Enum Constant Summary

Enum Constants
`DEFINE`
`NONE`

### Method Summary

All Methods Static Methods Concrete Methods
`static RelaxNGUtils.BindingType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static RelaxNGUtils.BindingType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DEFINE

    public static final RelaxNGUtils.BindingType DEFINE

#### NONE

    public static final RelaxNGUtils.BindingType NONE

### Method Detail

#### values

    public static RelaxNGUtils.BindingType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RelaxNGUtils.BindingType c : RelaxNGUtils.BindingType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RelaxNGUtils.BindingType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null